PART
{ 

// --- general parameters ---
name = SWAresVEDSEngineMount
module = Part
author = TheShadow1138

// --- asset parameters ---
MODEL
{
model = ShadowWorks/Parts/AresVJupiter/EDS1J2Mount
}
MODEL
{
model = ShadowWorks/Parts/AresVJupiter/EDS2J2Mount
}
rescaleFactor = 1.0

// --- node definitions ---
node_stack_top = 0.0, 1.012, 0.0, 0.0, 1.0, 0.0, 4
node_stack_bottom = 0.0, -1.012, 0.0, 0.0, -1.0, 0.0, 3
node_stack_engine1 = 0.0, 0.0, 0.0, 0.0, -1.0, 0.0, 1
node_stack_engine2 = 0.0, 0.0, 0.0, 0.0, -1.0, 0.0, 1
node_stack_middle = 0.0, 0.373, 0.0, 0.0, -1.0, 0.0, 4


// --- editor parameters ---
TechRequired = highPerformanceFuelSystems
entryCost = 45000
cost = 16000
category = Structural
subcategory = 0
title = KDS Engine Mount SW-EM-02
manufacturer = ShadowWorks
description = 5m diameter tank for constructing the Kerbin Departure Stage of the Anhur V.

// attachment rules: stack, srfAttach, allowStack, allowSrfAttach, allowCollision
attachRules = 1,1,1,1,0

// --- standard part parameters ---
mass = 1.5		//Refine this based on EDS mass (0.5 is a placeholder)
dragModelType = default
maximum_drag = 0.2
minimum_drag = 0.3
angularDrag = 2
crashTolerance = 6
maxTemp = 2000
breakingForce = 8000
breakingTorque = 8000
fuelCrossfeed = true
tags = eds kds j2 j2x engine mount ares apophis sls amun ra amun-ra shadowworks


MODULE
{
	name = ModulePartVariants
	baseVariant = OneJ2Mount
	baseDisplayName = Single J2

	VARIANT
	{
		name = OneJ2Mount
		displayName = Single Engine

		primaryColor = #ffffff
		secondaryColor = #ffffff

		cost = 1500
		mass = 1.5

		GAMEOBJECTS
		{
			EDS1J2Mount = true
			EDS2J2Mount = false
		}

		NODES
		{
			node_stack_top = 0.0, 1.012, 0.0, 0.0, 1.0, 0.0, 4
			node_stack_bottom = 0.0, -1.012, 0.0, 0.0, -1.0, 0.0, 3
			node_stack_middle = 0.0, 0.373, 0.0, 0.0, -1.0, 0.0, 4
		}
	}

	VARIANT
	{
		name = TwoJ2Mount
		displayName = Two Engines

		primaryColor = #ffffff
		secondary Color = #eeeeee

		cost = 1500
		mass = 2.5

		GAMEOBJECTS
		{
			EDS1J2Mount = false
			EDS2J2Mount = true
		}

		NODES
		{
			node_stack_top = 0.0, 1.012, 0.0, 0.0, 1.0, 0.0, 4
			node_stack_engine1 = 1.0, -1.012, 0.0, 0.0, -1.0, 0.0, 3
			node_stack_engine2 = -1.0, -1.012, 0.0, 0.0, -1.0, 0.0, 3
			node_stack_middle = 0.0, 0.373, 0.0, 0.0, -1.0, 0.0, 4
		}
	}
}


}